0

Running Ubuntu 16.04, Lenovo Legion Y720, i7 gen7, nvidia gtx 1060 (nvidia binary driver 415.27).

Was doing normal update and uprgade (sudo apt-get update, sudo apt-get upgrade) when I saw that six packages were not being upgraded. Did some searching and another forum post told me to run sudo apt-get -s dist-upgrade so I did that and it appeared to work.

When I tried to update and upgrade I received this error:
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.

So I proceeded to run sudo dpkg --configure -a and received this output:

Setting up linux-modules-4.15.0-47-generic (4.15.0-47.50~16.04.1) ...

Setting up linux-headers-4.15.0-47-generic (4.15.0-47.50~16.04.1) ...

...but then it just hanged on the second line and never moved past it, even after waiting a significant amount of time. Not sure what to do at this point.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.